OpenNMS API 1.2.9

## org.opennms.netmgt.eventd
Interface EventIpcManager

All Known Implementing Classes:
  EventIpcManagerDefaultImpl, MockEventIpcManager

public interface EventIpcManager

Author:
  Brian Weaver , Sowmya Nataraj , OpenNMS.org

Method Summary
`void` `addEventListener(EventListener listener)` Registers an event listener that is interested in all events
`void` `addEventListener(EventListener listener, java.util.List ueilist)` Registers an event listener interested in the UEIs in the passed list
`void` `addEventListener(EventListener listener, java.lang.String uei)` Registers an event listener interested in the passed UEI
`void` `broadcastNow(Event event)` Called by eventd to send an event to all interested listeners
`void` `removeEventListener(EventListener listener)` Removes a registered event listener
`void` `removeEventListener(EventListener listener, java.util.List ueiList)` Removes a registered event listener - the UEI list indicates the list of events the listener is no more interested in
`void` `removeEventListener(EventListener listener, java.lang.String uei)` Removes a registered event listener - the UEI indicates an event the listener is no more interested in
`void` `sendNow(Event event)` Called by a service to send an event to eventd
`void` `sendNow(Log eventLog)` Called by a service to send a set of events to eventd

Method Detail

### sendNow

    public void sendNow(Event event)

  Called by a service to send an event to eventd

### sendNow

    public void sendNow(Log eventLog)

  Called by a service to send a set of events to eventd

### broadcastNow

    public void broadcastNow(Event event)

  Called by eventd to send an event to all interested listeners

### addEventListener

    public void addEventListener(EventListener listener)

  Registers an event listener that is interested in all events

### addEventListener

    public void addEventListener(EventListener listener,
                                 java.util.List ueilist)

  Registers an event listener interested in the UEIs in the passed list

### addEventListener

    public void addEventListener(EventListener listener,
                                 java.lang.String uei)

  Registers an event listener interested in the passed UEI

### removeEventListener

    public void removeEventListener(EventListener listener)

  Removes a registered event listener

### removeEventListener

    public void removeEventListener(EventListener listener,
                                    java.util.List ueiList)

  Removes a registered event listener - the UEI list indicates the list of events the listener is no more interested in

### removeEventListener

    public void removeEventListener(EventListener listener,
                                    java.lang.String uei)

  Removes a registered event listener - the UEI indicates an event the listener is no more interested in

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.